summaryrefslogtreecommitdiffstats
path: root/client/shared/scripts/updateCache
diff options
context:
space:
mode:
authoririna <irinagomez@us.es>2017-10-11 10:27:31 +0000
committeririna <irinagomez@us.es>2017-10-11 10:27:31 +0000
commit03e01b63c59cbdd3fe92a4c3b229527fcacab07b (patch)
tree9d0b5fee9a66b05084d1e0082f8418997573dd92 /client/shared/scripts/updateCache
parent3b43d89df4ecaf682fdb4eff42d42fafc70c1857 (diff)
updateCache: En el log se incluye línea de 'INICIO script' si no se llama desde deployImage
git-svn-id: https://opengnsys.es/svn/branches/version1.1@5455 a21b9725-9963-47de-94b9-378ad31fedc9
Diffstat (limited to 'client/shared/scripts/updateCache')
-rwxr-xr-xclient/shared/scripts/updateCache8
1 files changed, 7 insertions, 1 deletions
diff --git a/client/shared/scripts/updateCache b/client/shared/scripts/updateCache
index 68045b92..7c3f4534 100755
--- a/client/shared/scripts/updateCache
+++ b/client/shared/scripts/updateCache
@@ -49,7 +49,13 @@ fi
# Clear temporary file used as log track by httpdlog
# Limpia los ficheros temporales usados como log de seguimiento para httpdlog
echo " " > $OGLOGCOMMAND
-[ "$(ogGetCaller)" == "deployImage" -o "$(ogGetCaller)" == "restoreBaseImage" -o "$(ogGetCaller)" == "restoreDiffImage" ] || echo -n "" > $OGLOGSESSION;
+
+if ! [ "$(ogGetCaller)" == "deployImage" -o "$(ogGetCaller)" == "restoreBaseImage" -o "$(ogGetCaller)" == "restoreDiffImage" ]; then
+ echo -n "" > $OGLOGSESSION;
+
+ # Registro de inicio de ejecución
+ ogEcho log session "[1] $MSG_SCRIPTS_START $0 $*"
+fi
REPOSITORIO="${1^^}"
PROTOCOLO="${3^^}"